This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 781451 - Gearmand violates fedora packaging guidelines
Gearmand violates fedora packaging guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gearmand (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: BJ Dierkes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-13 08:29 EST by Jóhann B. Guðmundsson
Modified: 2012-04-11 23:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: gearmand-0.28-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-13 08:29:21 EST
Description of problem:

Legacy sysv init scripts should be dropped or packaged in a separated sub package as is stated by the guidelines.

"packagers who wish to include SysV initscripts may also do so, but they MUST be placed into a separate $name-sysvinit subpackage. Please note that the base package MUST contain the systemd unit file"

http://fedoraproject.org/wiki/Packaging:SysVInitScript

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2012-03-07 13:39:35 EST
gearmand-0.28-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gearmand-0.28-3.fc17
Comment 2 Fedora Update System 2012-03-07 17:38:54 EST
Package gearmand-0.28-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gearmand-0.28-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3230/gearmand-0.28-3.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-11 23:29:22 EDT
gearmand-0.28-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.